import * as React from "react";
import { ChartCanvasContext } from "@react-financial-charts/core";
export const AlternateDataSeries = ({ data, children, }) => {
    const context = React.useContext(ChartCanvasContext);
    const contextValue = React.useMemo(() => {
        const { plotData, xAccessor } = context;
        const startDate = xAccessor(plotData[0]);
        const endDate = xAccessor(plotData[plotData.length - 1]);
        return Object.assign(Object.assign({}, context), { plotData: data.filter((d) => {
                const date = xAccessor(d);
                return date > startDate && date < endDate;
            }) });
    }, [data, context]);
    return React.createElement(ChartCanvasContext.Provider, { value: contextValue }, children);
};
//# sourceMappingURL=AlternateDataSeries.js.map