import { strokeDashTypes } from "@react-financial-charts/core";
import { CurveFactory } from "d3-shape";
import * as React from "react";
export interface AlternatingFillAreaSeriesProps {
    readonly baseAt: number;
    /**
     * Wether to connect the area between undefined data points.
     */
    readonly connectNulls?: boolean;
    /**
     * Color, gradient, or pattern to use for fill.
     */
    readonly fillStyle?: {
        top: string;
        bottom: string;
    };
    /**
     * A factory for a curve generator for the area and line.
     */
    readonly curve?: CurveFactory;
    /**
     * Color, gradient, or pattern to use for the stroke.
     */
    readonly strokeStyle?: {
        top: string;
        bottom: string;
    };
    /**
     * Stroke dash.
     */
    readonly strokeDasharray?: {
        top: strokeDashTypes;
        bottom: strokeDashTypes;
    };
    /**
     * Stroke width.
     */
    readonly strokeWidth?: {
        top: number;
        bottom: number;
    };
    /**
     * Selector for data to plot.
     */
    readonly yAccessor: (data: any) => number | undefined;
}
/**
 * `AlternatingFillAreaSeries` component is similar to a `AreaSeries` but with different colors above and below the base.
 */
export declare class AlternatingFillAreaSeries extends React.Component<AlternatingFillAreaSeriesProps> {
    static defaultProps: {
        connectNulls: boolean;
        fillStyle: {
            top: string;
            bottom: string;
        };
        strokeStyle: {
            top: string;
            bottom: string;
        };
        strokeWidth: {
            top: number;
            bottom: number;
        };
        strokeDasharray: {
            top: strokeDashTypes;
            bottom: strokeDashTypes;
        };
    };
    private clipPathId1;
    private clipPathId2;
    render(): JSX.Element;
    private readonly baseAt;
    private readonly renderClip;
    private readonly bottomClip;
    private readonly topClip;
}
