import { strokeDashTypes } from "@react-financial-charts/core";
import * as React from "react";
export interface ElderRaySeriesProps {
    readonly fillStyle?: {
        bearPower: string;
        bullPower: string;
    };
    readonly className?: string;
    readonly clip?: boolean;
    readonly stroke?: boolean;
    readonly straightLineStrokeStyle?: string;
    readonly straightLineStrokeDasharray?: strokeDashTypes;
    readonly widthRatio?: number;
    readonly yAccessor: (data: any) => {
        bearPower: number;
        bullPower: number;
    };
}
/**
 * This indicator consists of three separate indicators
 * known as "bull power" and "bear power", which are derived from a 13-period
 * exponential moving average (EMA). The three indicator help traders determine
 * the trend direction and isolate spots to enter and exit trades.
 */
export declare class ElderRaySeries extends React.Component<ElderRaySeriesProps> {
    static defaultProps: {
        fillStyle: {
            bearPower: string;
            bullPower: string;
        };
        className: string;
        clip: boolean;
        stroke: boolean;
        straightLineStrokeStyle: string;
        straightLineStrokeDasharray: string;
        widthRatio: number;
    };
    render(): JSX.Element;
    private readonly yAccessorBullTop;
    private readonly yAccessorBearTop;
    private readonly yAccessorBullBottom;
    private readonly yAccessorBearBottom;
    private readonly yAccessorForBarBase;
    private readonly fillForEachBar;
}
