import { ScaleContinuousNumeric, ScaleTime } from "d3-scale";
import * as React from "react";
export interface GroupedBarSeriesProps {
    readonly baseAt: number | ((xScale: ScaleContinuousNumeric<number, number> | ScaleTime<number, number>, yScale: ScaleContinuousNumeric<number, number>, datum: any) => number);
    readonly direction: "up" | "down";
    readonly fillStyle?: string | ((data: any) => string);
    readonly spaceBetweenBar?: number;
    readonly stroke: boolean;
    readonly widthRatio?: number;
    readonly yAccessor: ((data: any) => number | undefined) | ((d: any) => number)[];
}
export declare class GroupedBarSeries extends React.Component<GroupedBarSeriesProps> {
    static defaultProps: {
        spaceBetweenBar: number;
        widthRatio: number;
        baseAt: (xScale: ScaleContinuousNumeric<number, number, never>, yScale: ScaleContinuousNumeric<number, number, never>) => any;
        direction: string;
        stroke: boolean;
        fillStyle: string;
        width: <T>(props: {
            widthRatio: number;
        }, moreProps: {
            xAccessor: (datum: T) => number | Date;
            xScale: ScaleContinuousNumeric<number, number, never> | ScaleTime<number, number, never>;
            plotData: T[];
        }) => number;
        clip: boolean;
        swapScales: boolean;
    };
    render(): JSX.Element;
    private readonly drawOnCanvas;
    private readonly postProcessor;
}
