import { getAxisCanvas, GenericChartComponent } from "@react-financial-charts/core";
import * as React from "react";
import { drawOnCanvasHelper, identityStack, StackedBarSeries } from "./StackedBarSeries";
export class GroupedBarSeries extends React.Component {
    constructor() {
        super(...arguments);
        this.drawOnCanvas = (ctx, moreProps) => {
            const { xAccessor } = moreProps;
            drawOnCanvasHelper(ctx, this.props, moreProps, xAccessor, identityStack, this.postProcessor);
        };
        this.postProcessor = (array) => {
            return array.map((each) => {
                return Object.assign(Object.assign({}, each), { x: each.x + each.offset - each.groupOffset, width: each.groupWidth });
            });
        };
    }
    render() {
        return React.createElement(GenericChartComponent, { canvasDraw: this.drawOnCanvas, canvasToDraw: getAxisCanvas, drawOn: ["pan"] });
    }
}
GroupedBarSeries.defaultProps = Object.assign(Object.assign({}, StackedBarSeries.defaultProps), { spaceBetweenBar: 5, widthRatio: 0.8 });
//# sourceMappingURL=GroupedBarSeries.js.map