import { ScaleContinuousNumeric, ScaleTime } from "d3-scale";
import * as React from "react";
export interface OverlayBarSeriesProps {
    readonly baseAt?: number | ((xScale: ScaleContinuousNumeric<number, number> | ScaleTime<number, number>, yScale: ScaleContinuousNumeric<number, number>, datum: any) => number);
    readonly direction?: "up" | "down";
    readonly stroke?: boolean;
    readonly width?: any;
    readonly widthRatio?: number;
    readonly fillStyle?: string | ((data: any, y: number) => string);
    readonly yAccessor: ((datum: any) => number | undefined)[];
    readonly xScale?: ScaleContinuousNumeric<number, number>;
    readonly yScale?: ScaleContinuousNumeric<number, number>;
    readonly plotData?: number[];
    readonly clip?: boolean;
}
export declare class OverlayBarSeries extends React.Component<OverlayBarSeriesProps> {
    static defaultProps: {
        baseAt: (xScale: ScaleContinuousNumeric<number, number>, yScale: ScaleContinuousNumeric<number, number>) => any;
        clip: boolean;
        direction: string;
        stroke: boolean;
        fillStyle: string;
        widthRatio: number;
        width: <T>(props: {
            widthRatio: number;
        }, moreProps: {
            xAccessor: (datum: T) => number | Date;
            xScale: ScaleContinuousNumeric<number, number, never> | ScaleTime<number, number, never>;
            plotData: T[];
        }) => number;
    };
    render(): JSX.Element;
    private readonly drawOnCanvas;
    private readonly getBars;
}
