import * as React from "react";
import { strokeDashTypes } from "@react-financial-charts/core";
export interface RSISeriesProps {
    readonly className?: string;
    readonly yAccessor: (data: any) => any;
    readonly strokeStyle?: {
        line: string;
        top: string;
        middle: string;
        bottom: string;
        outsideThreshold: string;
        insideThreshold: string;
    };
    readonly strokeDasharray?: {
        line: strokeDashTypes;
        top: strokeDashTypes;
        middle: strokeDashTypes;
        bottom: strokeDashTypes;
    };
    readonly strokeWidth?: {
        outsideThreshold: number;
        insideThreshold: number;
        top: number;
        middle: number;
        bottom: number;
    };
    readonly overSold?: number;
    readonly middle?: number;
    readonly overBought?: number;
}
/**
 * The Relative Strength Index (RSI) is a momentum oscillator that measures the speed and change of price movements.
 */
export declare class RSISeries extends React.Component<RSISeriesProps> {
    static defaultProps: {
        className: string;
        strokeStyle: {
            line: string;
            top: string;
            middle: string;
            bottom: string;
            outsideThreshold: string;
            insideThreshold: string;
        };
        strokeDasharray: {
            line: strokeDashTypes;
            top: strokeDashTypes;
            middle: strokeDashTypes;
            bottom: strokeDashTypes;
        };
        strokeWidth: {
            outsideThreshold: number;
            insideThreshold: number;
            top: number;
            middle: number;
            bottom: number;
        };
        overSold: number;
        middle: number;
        overBought: number;
    };
    private clipPathId1;
    private clipPathId2;
    render(): JSX.Element;
    private readonly renderClip;
    private readonly mainClip;
    private readonly topAndBottomClip;
}
