import * as React from "react";
export interface SARSeriesProps {
    readonly fillStyle?: {
        falling: string;
        rising: string;
    };
    readonly strokeStyle?: {
        falling: string;
        rising: string;
    };
    readonly highlightOnHover?: boolean;
    readonly onClick?: (e: React.MouseEvent, moreProps: any) => void;
    readonly onDoubleClick?: (e: React.MouseEvent, moreProps: any) => void;
    readonly onContextMenu?: (e: React.MouseEvent, moreProps: any) => void;
    readonly yAccessor: (datum: any) => number | undefined;
}
/**
 * SAR stands for 'stop and reverse'.
 * The indicator is below prices as they're rising and above
 * prices as they're falling. In this regard, the indicator
 * stops and reverses when the price trend reverses and breaks above or below the indicator.
 */
export declare class SARSeries extends React.Component<SARSeriesProps> {
    static defaultProps: {
        fillStyle: {
            falling: string;
            rising: string;
        };
        highlightOnHover: boolean;
    };
    render(): JSX.Element;
    private readonly drawOnCanvas;
    private readonly isHover;
}
