import * as React from "react";
export interface StochasticSeriesProps {
    readonly className?: string;
    readonly overBought?: number;
    readonly overSold?: number;
    readonly middle?: number;
    readonly strokeStyle?: {
        top: string;
        middle: string;
        bottom: string;
        dLine: string;
        kLine: string;
    };
    readonly yAccessor: (data: any) => {
        K: number;
        D: number;
    };
}
/**
 * The Stochastic Oscillator is a momentum indicator that shows the location of the close relative to the high-low range over a set number of periods.
 */
export declare class StochasticSeries extends React.Component<StochasticSeriesProps> {
    static defaultProps: {
        className: string;
        strokeStyle: {
            top: string;
            middle: string;
            bottom: string;
            dLine: string;
            kLine: string;
        };
        overSold: number;
        middle: number;
        overBought: number;
    };
    render(): JSX.Element;
    private readonly yAccessorForK;
    private readonly yAccessorForD;
}
