import { functor } from "@react-financial-charts/core";
import * as React from "react";
export class CircleMarker extends React.Component {
    render() {
        const { className, strokeStyle, strokeWidth, fillStyle, point, r } = this.props;
        const radius = functor(r)(point.datum);
        return (React.createElement("circle", { className: className, cx: point.x, cy: point.y, stroke: strokeStyle, strokeWidth: strokeWidth, fill: fillStyle, r: radius }));
    }
}
CircleMarker.defaultProps = {
    fillStyle: "#4682B4",
    className: "react-financial-charts-marker-circle",
};
CircleMarker.drawOnCanvas = (props, point, ctx) => {
    const { strokeStyle, fillStyle, r, strokeWidth } = props;
    if (strokeStyle !== undefined) {
        ctx.strokeStyle = strokeStyle;
    }
    if (strokeWidth !== undefined) {
        ctx.lineWidth = strokeWidth;
    }
    if (fillStyle !== undefined) {
        ctx.fillStyle = fillStyle;
    }
    const { datum, x, y } = point;
    const radius = functor(r)(datum);
    ctx.moveTo(x, y);
    ctx.beginPath();
    ctx.arc(x, y, radius, 0, 2 * Math.PI, false);
    ctx.fill();
    if (strokeStyle !== undefined) {
        ctx.stroke();
    }
};
//# sourceMappingURL=CircleMarker.js.map