import * as React from "react";
export interface TriangleProps {
    readonly className?: string;
    readonly direction?: "top" | "bottom" | "left" | "right" | "hide" | ((datum: any) => any);
    readonly fillStyle?: string | ((datum: any) => string);
    readonly point: {
        x: number;
        y: number;
        datum: any;
    };
    readonly strokeStyle?: string | ((datum: any) => string);
    readonly strokeWidth?: number;
    readonly width?: number | ((datum: any) => number);
}
export declare class Triangle extends React.Component<TriangleProps> {
    static defaultProps: {
        direction: string;
        fillStyle: string;
        className: string;
    };
    static drawOnCanvas: (props: TriangleProps, point: {
        x: number;
        y: number;
        datum: unknown;
    }, ctx: CanvasRenderingContext2D) => void;
    render(): JSX.Element | null;
}
